export interface PercyLensSnapshotOptions {
    widths?: number[];
    minHeight?: number;
    percyCSS?: string;
    enableJavaScript?: boolean;
}
export declare enum LensType {
    /** @deprecated Eyes is not supported anymore */
    Eyes = "eyes",
    Percy = "percy"
}
export declare const LENSES: string[];
export declare const CAMERA_DEFAULT_SETTINGS: ICameraSettings;
export declare const PERCY_DEFAULT_CONFIG: PercyLensSnapshotOptions;
export interface ILens {
    takeSnapshot(label: string): Promise<void>;
    takeFullScreenSnapshot(label: string): Promise<void>;
    cameraON(): Promise<void>;
    cameraOFF(): Promise<void>;
    toolConfig(): any;
}
export interface ICameraSettings {
    fullframe: boolean;
    responsiveWidths: number[];
    currentSuiteName: string;
    currentTestName: string;
    globalLens: string;
    responsivityCallback: Function | undefined;
}
export interface ICameraSettingsActions {
    fullframe(): Promise<void>;
    crop(): Promise<void>;
    responsive(values: Array<number>, callback?: Function): Promise<void>;
    defaultResponsive(): Promise<void>;
}
